# Agent.getDefaultGenerateOptionsLegacy()

> **Warning:** **Deprecated**: This method is deprecated and only works with V1 models. For V2 models, use the new [`.getDefaultOptions()`](https://mastra.ai/reference/agents/getDefaultOptions) method instead.

Agents can be configured with default generation options for controlling model behavior, output formatting and tool and workflow calls. The `.getDefaultGenerateOptionsLegacy()` method retrieves these defaults, resolving them if they're functions. These options apply to all `generateLegacy()` calls unless overridden and are useful for inspecting an agent’s unknown defaults.

## Usage example

```typescript
await agent.getDefaultGenerateOptionsLegacy()
```

## Parameters

**options** (`{ requestContext?: RequestContext }`): Optional configuration object containing request context. (Default: `{}`)

**options.requestContext** (`RequestContext`): Request Context for dependency injection and contextual information.

## Returns

**defaultOptions** (`AgentGenerateOptions | Promise<AgentGenerateOptions>`): The default generation options configured for the agent, either as a direct object or a promise that resolves to the options.

## Extended usage example

```typescript
await agent.getDefaultGenerateOptionsLegacy({
  requestContext: new RequestContext(),
})
```

## Related

- [Agent generation](https://mastra.ai/docs/agents/overview)
- [Request Context](https://mastra.ai/docs/server/request-context)